当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-27 20:34 

注册: 2010-06-22 17:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
今天发现yaourt不能更新aur软件包,得出的信息是:curl error: Peer certificate cannot be authenticated with known CA certificates,索引到是package-query出了问题,因为正是它依赖curl,不知道如何纠正这个问题,望求解答


页首
 用户资料  
 
2 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-27 21:30 
头像

注册: 2006-09-10 22:36
帖子: 10670
地址: 北京
送出感谢: 1
接收感谢: 16
加archlinuxfr源,用pacman更新package-query到0.4-1


_________________
看破、放下、自在、随缘、念佛
真诚、清净、平等、正觉、慈悲


页首
 用户资料  
 
3 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-27 21:54 

注册: 2010-06-22 17:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
原来是这个原因:AUR does not use the http protocol anymore but the https protocol.
可惜没能力修改,害得咱还以为被墙了,可浏览器打得开,该死的package-query干嘛依赖curl下载呢,像pacman一样不挺好


页首
 用户资料  
 
4 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 11:32 

注册: 2008-09-24 10:00
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
数字谁出错, 重新安装ca-certificates即可。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 11:39 

注册: 2008-09-24 10:00
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
数字证书出错, 重新安装ca-certificates即可。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 12:55 

注册: 2010-06-22 17:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
:em11 果然有效果,佩服啊!就是不知道楼上是如何得知的啊


页首
 用户资料  
 
7 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 17:40 
头像

注册: 2007-11-23 12:31
帖子: 192
送出感谢: 0 次
接收感谢: 0 次
我还以为是我的arch的yaourtrc配置出错了呢


页首
 用户资料  
 
8 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 17:52 
头像

注册: 2007-11-23 12:31
帖子: 192
送出感谢: 0 次
接收感谢: 0 次
请问一下如果重新安装ca-certificates的数字证书呢?


页首
 用户资料  
 
9 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 18:35 

注册: 2010-06-22 17:17
帖子: 57
送出感谢: 0 次
接收感谢: 0 次
ca-certificates是个软件包名,简称CA,是负责数字证书认证用的,不过重新安装之后发现无法联网,重新运行了/usr/sbin/update-ca-certificates再重启才可以,如果不是特别依赖yaourt,就不用重新安装这个了,刚才还把咱吓了一下,不能联网就是心虚啊 :em06


页首
 用户资料  
 
10 楼 
 文章标题 : Re: yaourt不能进行aur包升级了,怎么办?
帖子发表于 : 2010-10-28 18:53 
头像

注册: 2007-11-23 12:31
帖子: 192
送出感谢: 0 次
接收感谢: 0 次
emak 写道:
ca-certificates是个软件包名,简称CA,是负责数字证书认证用的,不过重新安装之后发现无法联网,重新运行了/usr/sbin/update-ca-certificates再重启才可以,如果不是特别依赖yaourt,就不用重新安装这个了,刚才还把咱吓了一下,不能联网就是心虚啊 :em06

这个我确实非常的依赖yaourt,早就习惯了,不过还是打开archulinuxfr的源开更新搞定的,我还以为是用certtool重新生成一个授权文件呢 :em04


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译